********************************************************************************
* Ttulo: INDICADORES EDUCATIVOS
* Operacin Estadstica: ENCUESTA NACIONAL DE EMPLEO, DESEMPLEO Y SUBEMPLEO (ENEMDU)				 
* Direccin: DIRECCIN NACIONAL DE ANLISIS E INFORMACIN EDUCATIVA			 
* Entidad Ejecutora: MINISTERIO DE EDUCACIN
********************************************************************************
* Fecha de Elaboracin: 01-Febrero-2017						 
* Elaborada por: Wilian Gualoto
********************************************************************************
* Fecha ltima revisin: 01-Junio-2017
* Revisado por: Irene Portalanza B.
********************************************************************************
* Fecha ltima modificacin: 01-Junio-2017
* Modificada por: Wilian Gualoto / Irene Portalanza B.


****************************************************************
**************************ANALFABETISMO*************************
****************************************************************

gen conalfa=.
replace conalfa=0 if (p03>=15 & p03<=98 & p10a>=6 & p10a<=10) 
replace conalfa=0 if (p03>=15 & p03<=98 & p10a>=1 & p10a<=5 & p11==1) 
replace conalfa=1 if (p03>=15 & p03<=98 & p10a>=1 & p10a<=5 & p11==2) 

label var conalfa "tasa de analfabetismo 15 aos y ms"


****************************************************************
*******************ANALFABETISMO FUNCIONAL**********************
****************************************************************

gen conaf=.
replace conaf=1 if (p03>=15 & p03<=98 & p10a==1) 
replace conaf=1 if (p03>=15 & p03<=98 & p10a==2) 
replace conaf=1 if (p03>=15 & p03<=98 & p10a==3) 
replace conaf=1 if (p03>=15 & p03<=98 & p10a==4 & p10b<=3) 
replace conaf=1 if (p03>=15 & p03<=98 & p10a==5 & p10b<=4) 
replace conaf=0 if (p03>=15 & p03<=98 & p10a==4 & p10b>3) 
replace conaf=0 if (p03>=15 & p03<=98 & p10a==5 & p10b>4) 
replace conaf=0 if (p03>=15 & p03<=98 & p10a>=6 & p10a<=10) 

label var conaf "Tasa de Analfabeto Funcional 15 aos y ms"


****************************************************************
******************AOS PROMEDIO DE ESCOLARIDAD******************
****************************************************************

gen escola=.
replace escola=0 if (p03>=24 & p03<=98 & p10a==1) 
replace escola=0 if (p03>=24 & p03<=98 & p10a==2 & p10b==0) 
replace escola=3 if (p03>=24 & p03<=98 & p10a==2 & p10b==1) 
replace escola=5 if (p03>=24 & p03<=98 & p10a==2 & p10b==2) 
replace escola=7 if (p03>=24 & p03<=98 & p10a==2 & p10b==3) 
replace escola=1 if (p03>=24 & p03<=98 & p10a==3) 
replace escola=1+p10b if (p03>=24 & p03<=98 & p10a==4) 
replace escola=p10b if (p03>=24 & p03<=98 & p10a==5) 
replace escola=7+p10b if (p03>=24 & p03<=98 & p10a==6) 
replace escola=10+p10b if (p03>=24 & p03<=98 & p10a==7) 
replace escola=13+p10b if (p03>=24 & p03<=98 & p10a==8) 
replace escola=13+p10b if (p03>=24 & p03<=98 & p10a==9) 
replace escola=18+p10b if (p03>=24 & p03<=98 & p10a==10) 

label var escola "Aos Promedio de Escolaridad para personas de 24 aos y ms" 


****************************************************************
******************TASA NETA DE ASISTENCIA **********************
****************************************************************

****************************PRIMARIA****************************

gen tnapri=0 if (p03>=6 & p03<=11) 
replace tnapri=1 if ((p03>=6 & p03<=11) & (p07==1 & (p10a==1))) 
replace tnapri=1 if ((p03>=6 & p03<=11) & (p07==1 & p10a==4 & (p10b>=0 & p10b<=5))) 
replace tnapri=1 if ((p03>=6 & p03<=11) & (p07==1 & p10a==5 & (p10b>=0 & p10b<=6))) 
replace tnapri=1 if ((p03>=6 & p03<=11) & (p07==1 & p10a==3 & (p10b>=1))) 

label var tnapri "Tasa Neta de Asistencia en Primaria"

***************************SECUNDARIA***************************

gen tnasec=0 if  (p03>=12 & p03<=17) 
replace tnasec=1 if ((p03>=12 & p03<=17) & (p07==1 & p10a==4 &(p10b==6))) 
replace tnasec=1 if ((p03>=12 & p03<=17) & (p07==1 & p10a==5 &(p10b>=7 & p10b<=10))) 
replace tnasec=1 if ((p03>=12 & p03<=17) & (p07==1 & p10a==6 &(p10b>=0 & p10b<=5))) 
replace tnasec=1 if ((p03>=12 & p03<=17) & (p07==1 & p10a==7 &(p10b>=0 & p10b<=2)))

label var tnasec "Tasa Neta de Asistencia en Secundaria"

*******************EDUCACIN GENERAL BSICA*********************

gen tnabasi=0 if (p03>=5 & p03<=14) 
replace tnabasi=1 if ((p03>=5 & p03<=14) & (p07==1 & (p10a==1 | p10a==3))) 
replace tnabasi=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==4 &(p10b>=0 & p10b<=6))) 
replace tnabasi=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==5 &(p10b>=0 & p10b<=9))) 
replace tnabasi=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==6 &(p10b>=0 & p10b<=2))) 

label var tnabasi "Tasa Neta de Asistencia en EGB"

**************************BACHILLERATO**************************

gen tnabachi=0 if  (p03>=15 & p03<=17)
replace tnabachi=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==5 & p10b==10))
replace tnabachi=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==6 &(p10b>=3 & p10b<=5)))
replace tnabachi=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==7 &(p10b>=0 & p10b<=2)))

label var tnabachi "Tasa Neta de Asistencia en Bachillerato"

******************EGB PREPARATORIA Y ELEMENTAL******************

gen tnabelem=.
replace tnabelem=0 if p03>=5 & p03<=8 
replace tnabelem=1 if (p07==1 & ((p03>=5 & p03<=8) & (p10a==1 | p10a==3))) 
replace tnabelem=1 if (p07==1 & ((p03>=5 & p03<=8) & (p10a==4 & (p10b>=0 & p10b<=2)))) 
replace tnabelem=1 if (p07==1 & ((p03>=5 & p03<=8) & (p10a==5 & (p10b>=0 & p10b<=3)))) 

label var tnabelem "Personas de 5 a 8 aos que asisten a EGB preparatoria y elemental"

****************************EGB MEDIA***************************

gen tnabmed=.
replace tnabmed=0 if p03>=9 & p03<=11
replace tnabmed=1 if (p07==1 & ((p03>=9 & p03<=11) & (p10a==4 & (p10b>=3 & p10b<=5)))) 
replace tnabmed=1 if (p07==1 & ((p03>=9 & p03<=11) & (p10a==5 & (p10b>=4 & p10b<=6)))) 

label var tnabmed "Personas de 9 a 11 aos que asisten a EGB media"

**************************EGB SUPERIOR***************************

gen tnabsup=.
replace tnabsup=0 if p03>=12 & p03<=14
replace tnabsup=1 if (p07==1 & ((p03>=12 & p03<=14) & (p10a==4 & (p10b==6)))) 
replace tnabsup=1 if (p07==1 & ((p03>=12 & p03<=14) & (p10a==5 & (p10b>=7 & p10b<=9)))) 
replace tnabsup=1 if (p07==1 & ((p03>=12 & p03<=14) & (p10a==6 & (p10b>=0 & p10b<=2)))) 

label var tnabsup "Personas de 12 a 14 aos que asisten a EGB Superior"


******************************************************************
***********************TASA BRUTA DE ASISTENCIA*******************
******************************************************************

**************************PRIMARIA********************************

*Numerador.
gen numtbapri=1 if (p07==1 & p10a==1) 
replace numtbapri=1 if (p07==1 & p10a==3 & p10b>=1) 
replace numtbapri=1 if (p07==1 & p10a==4 & p10b>=0 & p10b<=5)
replace numtbapri=1 if (p07==1 & p10a==5 & p10b>=0 & p10b<=6) 

label var numtbapri "Numerador de tasa bruta de asistencia en primaria"

*Denominador.
gen dentbapri=1 if (p03>=6 & p03<=11)

label var dentbapri "Denominador de tasa bruta de asistencia en primaria"

***************************SECUNDARIA*****************************

*Numerador.
gen numtbasec=1 if (p07==1 & p10a==4 & p10b==6) 
replace numtbasec=1 if (p07==1 & p10a==5 & p10b>=7 & p10b<=10) 
replace numtbasec=1 if (p07==1 & p10a==6 & p10b>=0 & p10b<=5) 
replace numtbasec=1 if (p07==1 & p10a==7 & p10b>=0 & p10b<=2) 

label var numtbasec "Numerador de tasa bruta de asistencia en secundaria"

*Denominador.
gen dentbasec=1 if (p03>=12 & p03<=17) 

label var dentbasec "Denominador de tasa bruta de asistencia en secundaria"

********************EDUCACIN GENERAL BSICA*********************

*Numerador.
gen numtbabas=1 if (p07==1 & (p10a==1 | p10a==3)) 
replace numtbabas=1 if (p07==1 & p10a==4 & p10b>=0 & p10b<=6) 
replace numtbabas=1 if (p07==1 & p10a==5 & p10b>=0 & p10b<=9)
replace numtbabas=1 if (p07==1 & p10a==6 & p10b>=0 & p10b<=2) 

label var numtbabas "Numerador Tasa bruta de asistencia en EGB"

*Denominador.
gen dentbabas=1 if (p03>=5 & p03<=14)

label var dentbabas "denominador Tasa bruta de asistencia en EGB"

**************************BACHILLERATO***************************

*Numerador.
gen numtbabachi=1 if (p07==1 & p10a==5 & p10b==10) 
replace numtbabachi=1 if (p07==1 & p10a==6 & p10b>=3 & p10b<=5) 
replace numtbabachi=1 if (p07==1 & p10a==7 & p10b>=0 & p10b<=2) 

label var numtbabachi "Numerador Tasa bruta de asistencia en Bachilerato"

*Denominador.
gen dentbabachi=1 if  (p03>=15 & p03<=17) 

label var dentbabachi "Denominador Tasa bruta de asistencia en Bachillerato"


****************************************************************
***************EDUCACIN GENERAL BSICA COMPLETA****************
****************************************************************

gen bascom=1 if (((p10a>=7 & p10a<=10) | (p10a==5 & p10b==10) | (p10a==6 & p10b>=3))) 
replace bascom=0 if ((p10a<=4 | (p10a==5 & p10b<10) | (p10a==6 & p10b<3))) 

la var bascom "Educacin General Bsica Completa"


****************************************************************
**********************BACHILLERATO COMPLETO*********************
****************************************************************

gen secom=1 if (((p10a>=8 & p10a<=10) | (p10a==6 & p10b==6) |  (p10a==7 & p10b==3))) 
replace secom=0 if (((p10a<=5) | (p10a==6 & p10b<6) |  (p10a==7 & p10b<3))) 

la var secom "Bachillerato Completo"


****************************************************************
****************TASA NETA DE ASISTENCIA AJUSTADA****************
****************************************************************

********************EDUCACIN GENERAL BSICA********************

gen tnaegb=0 if (p03>=5 & p03<=14)
replace tnaegb=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==1 | p10a==3))
replace tnaegb=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==4 & (p10b>=0 & p10b<=6)))
replace tnaegb=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==5 & (p10b>=0 & p10b<=10)))
replace tnaegb=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==6 & (p10b>=0 & p10b<=5)))
replace tnaegb=1 if ((p03>=5 & p03<=14) & (p07==1 & p10a==7 & (p10b>=0 & p10b<=2)))

label var tnaegb "tasa de neta de asistencia ajustada en EGB"

***************************BACHILLERATO*************************

gen tnebac=0 if (p03>=15 & p03<=17)
replace tnebac=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==5 & p10b==10))
replace tnebac=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==6 & (p10b>=3 & p10b<=6)))
replace tnebac=1 if ((p03>=15 & p03<=17) & (p07==1 & p10a==7 & (p10b>=0 & p10b<=3)))
replace tnebac=1 if ((p03>=15 & p03<=17) & (p07==1 & (p10a==8 | p10a==9)))

label var tnebac "tasa de neta de asistencia ajustada en Bachillerato"

*****************EGB PREPARATORIA Y ELEMENTAL*******************

gen tnaebel=0 if (p03>=5 & p03<=8)
replace tnaebel=1 if ((p03>=5 & p03<=8) & (p07==1 & (p10a==1 | p10a==3))) 
replace tnaebel=1 if ((p03>=5 & p03<=8) & (p07==1 & p10a==4 & (p10b>=0 & p10b<=5)))
replace tnaebel=1 if ((p03>=5 & p03<=8) & (p07==1 & p10a==5 & (p10b>=0 & p10b<=6)))

label var tnaebel "tasa de neta de asistencia ajustada en EGB preparatoria y elemental"

****************************EGB MEDIA***************************

gen tnebm=0 if (p03>=9 & p03<=11)
replace tnebm=1 if ((p03>=9 & p03<=11) & (p07==1 & p10a==4 & (p10b>=3 & p10b<=6)))
replace tnebm=1 if ((p03>=9 & p03<=11) & (p07==1 & p10a==5 & (p10b>=4 & p10b<=9)))
replace tnebm=1 if ((p03>=9 & p03<=11) & (p07==1 & p10a==6 & (p10b>=0 & p10b<=2)))

label var tnebm "tasa de neta de asistencia ajustada en EGB media"

**************************EGB SUPERIOR**************************

gen tnebs=0 if (p03>=12 & p03<=14)
replace tnebs=1 if ((p03>=12 & p03<=14) & (p07==1 & p10a==4 & p10b==6))
replace tnebs=1 if ((p03>=12 & p03<=14) & (p07==1 & p10a==5 & (p10b>=7 & p10b<=10)))
replace tnebs=1 if ((p03>=12 & p03<=14) & (p07==1 & p10a==6 & (p10b>=0 & p10b<=5)))
replace tnebs=1 if ((p03>=12 & p03<=14) & (p07==1 & p10a==7 & (p10b>=0 & p10b<=2)))

label var tnebs "tasa de neta de asistencia ajustada en EGB superior"


*********************************************************************
**********************TASA NETA MATRCULA****************************
*********************************************************************

**************************PRIMARIA***********************************

gen tnmpri=0 if (p03>=6 & p03<=11) 
replace tnmpri=1 if ((p03>=6 & p03<=11) & (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=6)))
replace tnmpri=1 if ((p03>=6 & p03<=11) & (pe01==1 & pe02a==5 & (pe02b>=2 & pe02b<=7)))

label var tnmpri "tasa neta de matrcula en primaria"

****************************SECUNDUARIA*******************************

gen tnmsec=0 if (p03>=12 & p03<=17)
replace tnmsec=1 if ((p03>=12 & p03<=17) & (pe01==1 & pe02a==5 & (pe02b>=8 & pe02b<=10))) 
replace tnmsec=1 if ((p03>=12 & p03<=17) & (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=6)))
replace tnmsec=1 if ((p03>=12 & p03<=17) & (pe01==1 & pe02a==7 & (pe02b>=1 & pe02b<=3)))
 
label var tnmsec "tasa neta de matrcula en secundaria"

**********************EDUCACIN GENERAL BSICA***********************

gen tnmegb=0 if (p03>=5 & p03<=14)
replace tnmegb=1 if ((p03>=5 & p03<=14) & (pe01==1 & pe02a==3 & pe02b==1))
replace tnmegb=1 if ((p03>=5 & p03<=14) & (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=6))) 
replace tnmegb=1 if ((p03>=5 & p03<=14) & (pe01==1 & pe02a==5 & (pe02b>=1 & pe02b<=10)))
replace tnmegb=1 if ((p03>=5 & p03<=14) & (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=3)))

label var tnmegb "tasa neta de matrcula en EGB"

****************************BACHILLERATO******************************

gen tnmbac=0 if (p03>=15 & p03<=17) 
replace tnmbac=1 if ((p03>=15 & p03<=17) & (pe01==1 & pe02a==6 & (pe02b>=4 & pe02b<=6)))
replace tnmbac=1 if ((p03>=15 & p03<=17) & (pe01==1 & pe02a==7 & (pe02b>=1 & pe02b<=3)))

label var tnmbac "tasa neta de matrcula en Bachillerato"

*********************EGB PREPARATORIA Y ELEMENTAL*********************

gen tnmegb_elem=0 if (p03>=5 & p03<=8) 
replace tnmegb_elem=1 if ((p03>=5 & p03<=8) & (pe01==1 & pe02a==3 & pe02b==1))
replace tnmegb_elem=1 if ((p03>=5 & p03<=8) & (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=3)))
replace tnmegb_elem=1 if ((p03>=5 & p03<=8) & (pe01==1 & pe02a==5 & (pe02b>=1 & pe02b<=4)))

label var tnmegb_elem "tasa neta de matrcula en EGB elemental"

******************************EGB MEDIA*******************************

gen tnmegb_med=0 if (p03>=9 & p03<=11) 
replace tnmegb_med=1 if ((p03>=9 & p03<=11) & (pe01==1 & pe02a==4 & (pe02b>=4 & pe02b<=6)))
replace tnmegb_med=1 if ((p03>=9 & p03<=11) & (pe01==1 & pe02a==5 & (pe02b>=5 & pe02b<=7)))

label var tnmegb_med "tasa neta de matrcula en EGB media"

*****************************EGB SUPERIOR****************************

gen tnmegb_sup=0 if (p03>=12 & p03<=14) 
replace tnmegb_sup=1 if ((p03>=12 & p03<=14) & (pe01==1 & pe02a==5 & (pe02b>=8 & pe02b<=10)))
replace tnmegb_sup=1 if ((p03>=12 & p03<=14) & (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=3)))

label var tnmegb_sup "tasa neta de matrcula en EGB superior"


**********************************************************************
**********************TASA BRUTA MATRCULA****************************
**********************************************************************

*****************************PRIMARIA*********************************

**numerador.
gen tmbprim_n=.
replace tmbprim_n=1 if (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=6))
replace tmbprim_n=1 if (pe01==1 & pe02a==5 & (pe02b>=2 & pe02b<=7))

label var tmbprim_n "Numerador Tasa bruta de matrcula en primaria"

**denominador.
gen tbmprim_d=. 
replace tbmprim_d=1 if (p03>=6 & p03<=11)

label var tbmprim_d "Denominador Tasa bruta de matrcula en primaria"

*****************************SECUNDARIA*******************************

**numerador.
gen tmbsec_n=1 if (pe01==1 & pe02a==5 & (pe02b>=8 & pe02b<=10))
replace tmbsec_n=1 if (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=6))
replace tmbsec_n=1 if (pe01==1 & pe02a==7 & (pe02b>=1 & pe02b<=3))

label var tmbprim_n "Numerador Tasa bruta de matrcula en secundaria"

**denominador.
gen tmbsec_d=1 if (p03>=12 & p03<=17) 

label var tmbsec_d "Denominador Tasa bruta de matrcula en secundaria"

*********************EDUCACIN GENERAL BSICA************************

**numerador.
gen tmbegb_n=1 if (pe01==1 & pe02a==3 & pe02b==1) 
replace tmbegb_n=1 if (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=6))
replace tmbegb_n=1 if (pe01==1 & pe02a==5 & (pe02b>=1 & pe02b<=10))
replace tmbegb_n=1 if (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=3)) 

label var tmbegb_n "Numerador Tasa bruta de matrcula en EGB"

**denominador.
gen tmbegb_d=1 if (p03>=5 & p03<=14)

label var tmbegb_d "Denominador Tasa bruta de matrcula en EGB"

***************************BACHILLERATO******************************

**numerador.
gen tmbbac_n=1 if (pe01==1 & pe02a==6 & (pe02b>=4 & pe02b<=6)) 
replace tmbbac_n=1 if (pe01==1 & pe02a==7 & (pe02b>=1 & pe02b<=3))

label var tmbbac_n "Numerador Tasa bruta de matrcula en Bachillerato"

**denominador.
gen tmbbac_d=1 if (p03>=15 & p03<=17)

label var tmbbac_d "Denominador Tasa bruta de matrcula en Bachillerato"

*********************EGB PREPARATORIA Y ELEMENTAL********************

**numerador.
gen tmbegb_pre_n=1 if (pe01==1 & pe02a==3 & pe02b==1)
replace tmbegb_pre_n=1 if (pe01==1 & pe02a==4 & (pe02b>=1 & pe02b<=3))
replace tmbegb_pre_n=1  if (pe01==1 & pe02a==5 & (pe02b>=1 & pe02b<=4)) 

label var tmbegb_pre_n "Numerador Tasa bruta de matrcula en EGB Preparatoria y Elemental"

**denominador.
gen pobegb_pre_d=1 if (p03>=5 & p03<=8)

label var pobegb_pre_d "Denominador Tasa bruta de matrcula en EGB Preparatoria y Elemental"

**************************EGB MEDIA**********************************

**numerador.
gen tmbegb_med_n=1 if (pe01==1 & pe02a==4 & (pe02b>=4 & pe02b<=6))
replace tmbegb_med_n=1 if (pe01==1 & pe02a==5 & (pe02b>=5 & pe02b<=7))

label var tmbegb_med_n "Numerador Tasa bruta de matrcula en EGB Media"

**denominador.
gen tmbegb_med_d=1 if (p03>=9 & p03<=11) 

label var tmbegb_med_d "Denominador Tasa bruta de matrcula en EGB Media"

**************************EGB SUPERIOR********************************

**numerador.
gen tmbegb_sup_n=1 if (pe01==1 & pe02a==5 & (pe02b>=8 & pe02b<=10))
replace tmbegb_sup_n=1 if (pe01==1 & pe02a==6 & (pe02b>=1 & pe02b<=3))

label var tmbegb_sup_n "Numerador Tasa bruta de matrcula en EGB Superior"

**denominador.
gen tmbegb_sup_d=1 if (p03>=12 & p03<=14) 

label var tmbegb_sup_d "Denominador Tasa bruta de matrcula en EGB Superior"


*********************************************************************
*************************REPITENCIA ESCOLAR**************************
*********************************************************************

********************************EGB**********************************

**numerador.
gen rep_alm_bas=1 if (pe01==1 & pe02a==2 & pe06>1)
replace rep_alm_bas=1 if (pe01==1 & pe02a==3 & pe02b==1 & pe06>1) 
replace rep_alm_bas=1 if (pe01==1 & pe02a==4 & pe02b>=1 & pe02b<=6 & pe06>1) 
replace rep_alm_bas=1 if (pe01==1 & pe02a==5 & pe02b>=1 & pe02b<=10 & pe06>1) 
replace rep_alm_bas=1 if (pe01==1 & pe02a==6 & pe02b>=1 & pe02b<=3 & pe06>1) 

label var rep_alm_bas "Alumnos repetidores en EGB"

**denominador.
gen pob_mat_bas=1 if (pe01==1 & pe02a==2)
replace pob_mat_bas=1 if (pe01==1 & pe02a==3 & pe02b==1) 
replace pob_mat_bas=1 if (pe01==1 & pe02a==4 & pe02b>=1 & pe02b<=6) 
replace pob_mat_bas=1 if (pe01==1 & pe02a==5 & pe02b>=1 & pe02b<=10) 
replace pob_mat_bas=1 if (pe01==1 & pe02a==6 & pe02b>=1 & pe02b<=3) 

label var pob_mat_bas "Alumnos matriculados en EGB"

**************************BACHILLERATO*******************************

**numerador.
gen rep_alm_bach=1 if (pe01==1 & pe02a==6 & pe02b>=4 & pe02b<=6 & pe06>1)
replace  rep_alm_bach=1 if (pe01==1 & pe02a==7 & pe02b>=1 & pe02b<=3 & pe06>1)

label var rep_alm_bach "alumnos repetidores en Bachillerato"

**denominador.
gen pob_mat_bach=1 if (pe01==1 & pe02a==6 & pe02b>=4 & pe02b<=6)
replace pob_mat_bach=1 if (pe01==1 & pe02a==7 & pe02b>=1 & pe02b<=3)

label var pob_mat_bach "alumnos matriculados en Bachillerato"


**********************************************************************
****************************REZAGO ESCOLAR****************************
**********************************************************************

gen rez0a=.
replace rez0a=1 if (p07==1 & p10a==2 & (p10b>=1 & p10b<=6)) 

gen rez0b=.
replace rez0b=1 if (p07==1 & p10a==2 & p10b>=7 & p10b<=9)

******PRIMERO EGB.
gen rez1=.
replace rez1=0 if p03>=7
replace rez1=1 if p03>=7 & (p07==1 & (p10a==1))
replace rez1=1 if p03>=7 & (p07==1 & (p10a==3 & p10b==0))
replace rez1=1 if p03>=7 & (p07==1 & (p10a==5 & p10b==0))

label var rez1 "Rezago Primero EGB"

tab rez1 [aw=fexp], summ(fexp) nomeans noobs nostandard

******SEGUNDO EGB.
gen rez2=.
replace rez2=0 if p03>=8
replace rez2=1 if p03>=8 & (p07==1 & (p10a==3 & p10b==1))
replace rez2=1 if p03>=8 & (p07==1 & (p10a==4 & p10b==0))
replace rez2=1 if p03>=8 & (p07==1 & (p10a==5 & p10b==1))

label var rez2 "Rezago Segundo EGB"

tab rez2 [aw=fexp], summ(fexp) nomeans noobs nostandard

******TERCERO EGB.
gen rez3=.
replace rez3=0 if p03>=9
replace rez3=1 if p03>=9 & (p07==1 & (p10a==4 & p10b==1))
replace rez3=1 if p03>=9 & (p07==1 & (p10a==5 & p10b==2))

label var rez3 "Rezago Tercero EGB"

tab rez3 [aw=fexp], summ(fexp) nomeans noobs nostandard

******CUARTO EGB.
gen rez4=.
replace rez4=0 if p03>=10
replace rez4=1 if p03>=10 & (p07==1 & (p10a==4 & p10b==2))
replace rez4=1 if p03>=10 & (p07==1 & (p10a==5 & p10b==3))

label var rez4 "Rezago Cuarto EGB"

tab rez4 [aw=fexp], summ(fexp) nomeans noobs nostandard

******QUINTO EGB.
gen rez5=.
replace rez5=0 if p03>=11
replace rez5=1 if p03>=11 & (p07==1 & (p10a==4 & p10b==3))
replace rez5=1 if p03>=11 & (p07==1 & (p10a==5 & p10b==4))

label var rez5 "Rezago Quinto EGB"

tab rez5 [aw=fexp], summ(fexp) nomeans noobs nostandard

******SEXTO EGB.
gen rez6=.
replace rez6=0 if p03>=12
replace rez6=1 if p03>=12 & (p07==1 & (p10a==4 & p10b==4))
replace rez6=1 if p03>=12 & (p07==1 & (p10a==5 & p10b==5))
label var rez6 "Rezago Sexto EGB"

tab rez6 [aw=fexp], summ(fexp) nomeans noobs nostandard

******SPTIMO EGB.
gen rez7=.
replace rez7=0 if p03>=13
replace rez7=1 if p03>=13 & (p07==1 & (p10a==4 & p10b==5))
replace rez7=1 if p03>=13 & (p07==1 & (p10a==5 & p10b==6))
label var rez7 "Rezago Sptimo EGB"

tab rez7 [aw=fexp], summ(fexp) nomeans noobs nostandard

******OCTAVO EGB.
gen rez8=.
replace rez8=0 if p03>=14
replace rez8=1 if p03>=14 & (p07==1 & (p10a==4 & p10b==6))
replace rez8=1 if p03>=14 & (p07==1 & (p10a==5 & p10b==7))
replace rez8=1 if p03>=14 & (p07==1 & (p10a==6 & p10b==0))
label var rez8 "Rezago Octavo EGB"

tab rez8 [aw=fexp], summ(fexp) nomeans noobs nostandard

******NOVENO EGB.
gen rez9=.
replace rez9=0 if p03>=15
replace rez9=1 if p03>=15 & (p07==1 & (p10a==5 & p10b==8))
replace rez9=1 if p03>=15 & (p07==1 & (p10a==6 & p10b==1))
label var rez9 "Rezago Noveno EGB"

tab rez9 [aw=fexp], summ(fexp) nomeans noobs nostandard

******DCIMO EGB.
gen rez10=.
replace rez10=0 if p03>=16
replace rez10=1 if p03>=16 & (p07==1 & (p10a==5 & p10b==9))
replace rez10=1 if p03>=16 & (p07==1 & (p10a==6 & p10b==2))
label var rez10 "Rezago Dcimo EGB"

tab rez10 [aw=fexp], summ(fexp) nomeans noobs nostandard

******PRIMERO BACHILLERATO.
gen rez1b=.
replace rez1b=0 if p03>=17
replace rez1b=1 if p03>=17 & (p07==1 & (p10a==5 & p10b==10))
replace rez1b=1 if p03>=17 & (p07==1 & (p10a==6 & p10b==3))
replace rez1b=1 if p03>=17 & (p07==1 & (p10a==7 & p10b==0))
label var rez1b "Rezago Primero Bachillerato"

tab rez1b [aw=fexp], summ(fexp) nomeans noobs nostandard

******SEGUNDO BACHILLERATO.
gen rez2b=.
replace rez2b=0 if p03>=18
replace rez2b=1 if p03>=18 & (p07==1 & (p10a==6 & p10b==4))
replace rez2b=1 if p03>=18 & (p07==1 & (p10a==7 & p10b==1))
label var rez2b "Rezago Segundo Bachillerato"

tab rez2b [aw=fexp], summ(fexp) nomeans noobs nostandard

******TERCERO BACHILLERATO.
gen rez3b=.
replace rez3b=0 if p03>=19
replace rez3b=1 if p03>=19 & (p07==1 & (p10a==6 & p10b==5))
replace rez3b=1 if p03>=19 & (p07==1 & (p10a==7 & p10b==2))
label var rez3b "Rezago Tercero Bachillerato"

tab rez3b [aw=fexp], summ(fexp) nomeans noobs nostandard

***************************REZAGO ESCOLAR TOTAL*******************************                                        
gen rez_tot=.
replace rez_tot=0 if (p07==1 & ((p10a>=1 & p10a<=5) | (p10a==6 & p10b<6) |(p10a==7 & p10b<3)))
replace rez_tot=1 if (rez0a==1 | rez0b==1 | rez1==1 | rez2==1 | rez3==1 | rez4==1 | rez5==1 | rez6==1 | rez7==1 | rez8==1 | rez9==1 | rez10==1 | rez1b==1 | rez2b==1 | rez3b==1)

lab var rez_tot "Rezago Escolar Total"

*******************************REZAGO ESCOLAR EGB*****************************                                        
gen rez_bas=.
replace rez_bas=0 if (p07==1 & (p10a>=1 & p10a<=4))
replace rez_bas=0 if (p07==1 & (p10a==5 & p10b<=9))
replace rez_bas=0 if (p07==1 & (p10a==6 & p10b<3))
replace rez_bas=1 if (rez0a==1 | rez0b==1 | rez2==1 | rez3==1 | rez4==1 | rez5==1 | rez6==1 | rez7==1 | rez8==1 | rez9==1 | rez10==1)

lab var rez_bas "Rezago Educacin General Bsica"

**************************REZAGO ESCOLAR BACHILLERATO*************************

gen rez_bach=.
replace rez_bach=0 if (p07==1 & (p10a==5 & p10b==10))
replace rez_bach=0 if (p07==1 & (p10a==6 & p10b>=3 & p10b<=5))
replace rez_bach=0 if (p07==1 & (p10a==7 & p10b<3))
* (Desde 2014).
replace rez_bach=1 if (rez0b==1 | rez1b==1 | rez2b==1 | rez3b==1)
lab var rez_bach "Rezago Bachillerato"

***
